Bug 1243367 - thinkfan missing libatasmart dependency
Summary: thinkfan missing libatasmart dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: thinkfan
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-15 10:07 UTC by Michael S. Tsirkin
Modified: 2015-11-16 23:24 UTC (History)
2 users (show)

Fixed In Version: thinkfan-0.9.2-5.fc23 thinkfan-0.9.2-6.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-16 23:24:11 UTC
Type: Bug


Attachments (Terms of Use)
Proposed patch file for thinkfan.spec (512 bytes, patch)
2015-08-11 16:40 UTC, Bob Fries
no flags Details | Diff

Description Michael S. Tsirkin 2015-07-15 10:07:51 UTC
Description of problem:
thinkfan supports SMART monitoring hard disk temperatures.
unfortunately, it was not linked with libatasmart so that's
missing, this may lead to hard disk overheating and
data loss.

Version-Release number of selected component (if applicable):
thinkfan-0.9.2-1.fc22.x86_64

How reproducible:
$ ldd `which thinkfan`
        linux-vdso.so.1 (0x00007ffcb0f09000)
        libc.so.6 => /lib64/libc.so.6 (0x00007faea472f000)
        /lib64/ld-linux-x86-64.so.2 (0x00007faea4aef000)


it appears that thinkfan was built without atasmart support.
the following line (from the README file) should
build it with atasmart:

 cmake -D USE_ATASMART:BOOL=ON .

additionally libatasmart-devel would have to be added
to build dependencies and libatasmart as a dependency.



Additional info:

Comment 1 Bob Fries 2015-08-11 16:40:21 UTC
Created attachment 1061635 [details]
Proposed patch file for thinkfan.spec

The attached patch is the changes I made to the thinkfan.spec file to include libatasmart.  It adds a requirement for libatasmart, a build requirement for libatasmart-devel, and the cmake flag to use libatasmart.

Comment 2 Fedora Update System 2015-10-09 18:40:29 UTC
thinkfan-0.9.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2959c7b89d

Comment 3 Fedora Update System 2015-10-09 19:00:32 UTC
thinkfan-0.9.2-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1cb9650d3d

Comment 4 Fedora Update System 2015-10-11 18:50:00 UTC
thinkfan-0.9.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update thinkfan'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2959c7b89d

Comment 5 Fedora Update System 2015-10-12 03:57:37 UTC
thinkfan-0.9.2-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update thinkfan'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1cb9650d3d

Comment 6 Fedora Admin XMLRPC Client 2015-10-16 04:35:20 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Fedora Admin XMLRPC Client 2015-10-19 15:14:44 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Fedora Update System 2015-10-21 14:51:53 UTC
thinkfan-0.9.2-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d0705126ee

Comment 9 Fedora Update System 2015-10-21 14:51:54 UTC
thinkfan-0.9.2-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-90a641ffe6

Comment 10 Fedora Update System 2015-10-24 12:09:39 UTC
thinkfan-0.9.2-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update thinkfan'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d0705126ee

Comment 11 Fedora Update System 2015-10-26 18:30:13 UTC
thinkfan-0.9.2-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update thinkfan'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-90a641ffe6

Comment 12 Fedora Update System 2015-10-26 23:10:21 UTC
thinkfan-0.9.2-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6e2b8bcfbe

Comment 13 Fedora Update System 2015-10-26 23:10:23 UTC
thinkfan-0.9.2-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-294ec98ac2

Comment 14 Fedora Update System 2015-10-31 15:54:54 UTC
thinkfan-0.9.2-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update thinkfan'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6e2b8bcfbe

Comment 15 Fedora Update System 2015-11-02 00:28:28 UTC
thinkfan-0.9.2-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update thinkfan'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-294ec98ac2

Comment 16 Fedora Update System 2015-11-08 16:22:34 UTC
thinkfan-0.9.2-6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-878d9fffd7

Comment 17 Fedora Update System 2015-11-08 22:23:37 UTC
thinkfan-0.9.2-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-11-09 03:50:01 UTC
thinkfan-0.9.2-6.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update thinkfan'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-878d9fffd7

Comment 19 Fedora Update System 2015-11-16 23:24:00 UTC
thinkfan-0.9.2-6.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.